import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _INRestaurantOffer extends _NSObject {
    static alloc(): _INRestaurantOffer;
    static new(): _INRestaurantOffer;
    init(): _INRestaurantOffer;
    offerTitleText(): _NSString;
    setOfferTitleText$(value: _NSString): void;
    offerDetailText(): _NSString;
    setOfferDetailText$(value: _NSString): void;
    offerIdentifier(): _NSString;
    setOfferIdentifier$(value: _NSString): void;
}
export interface _INRestaurantOffer extends _NSSecureCoding, _NSCopying {
}
